/* graphene
 *
 * Copyright 2014  Emmanuele Bassi
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

#ifndef __GRAPHENE_H__
#define __GRAPHENE_H__

#define GRAPHENE_H_INSIDE

#include "graphene-types.h"
#include "graphene-macros.h"
#include "graphene-config.h"
#include "graphene-version.h"
#include "graphene-version-macros.h"

#include "graphene-simd4f.h"
#include "graphene-simd4x4f.h"

#include "graphene-vec2.h"
#include "graphene-vec3.h"
#include "graphene-vec4.h"

#include "graphene-matrix.h"

#include "graphene-point.h"
#include "graphene-size.h"
#include "graphene-rect.h"

#include "graphene-point3d.h"
#include "graphene-quad.h"
#include "graphene-quaternion.h"
#include "graphene-euler.h"
#include "graphene-plane.h"
#include "graphene-frustum.h"
#include "graphene-sphere.h"
#include "graphene-box.h"
#include "graphene-triangle.h"
#include "graphene-ray.h"

#undef GRAPHENE_H_INSIDE

#endif /* __GRAPHENE_H__ */
